### you probably want to use something like this:
# docker build --compress  -t cdssoft-build-bookworm .

FROM debian:bookworm-slim

ENV container docker
#ENV LC_ALL C.UTF-8
ENV LC_ALL C
ENV DEBIAN_FRONTEND noninteractive

### tweak apt settings
RUN echo 'APT::Install-Recommends "0"; \n\
APT::Get::Assume-Yes "true"; \n\
#APT::Get::force-yes "true"; \n\
APT::Install-Suggests "0";' > /etc/apt/apt.conf.d/01buildconfig

# re-write sources for dist
RUN \
  rm -f /etc/apt/sources.list ;\
  echo deb http://deb.debian.org/debian bookworm main >> /etc/apt/sources.list ;\
  echo deb http://deb.debian.org/debian bookworm-updates main >> /etc/apt/sources.list ;\
  echo deb http://security.debian.org bookworm-security main >> /etc/apt/sources.list ;\
  apt-get update

RUN \
  apt-get dist-upgrade

# install HTTPS transport for APT
RUN \
  apt-get -y install apt-transport-https ca-certificates wget

#  echo deb [trusted=yes] http://apt.ligo-wa.caltech.edu/debian bookworm-unstable contrib main > /etc/apt/sources.list.d/cdssoft.list ; \
#  echo deb [trusted=yes] http://apt.ligo-wa.caltech.edu bookworm contrib main >> /etc/apt/sources.list.d/cdssoft.list ;\

# inject CDSsoft UNSTABLE
 RUN \
  wget ${EXTRA_WGET_FLAGS} -c https://apt.ligo-wa.caltech.edu/debian/pool/bookworm-unstable/cdssoft-release-bookworm/cdssoft-release-bookworm.deb && \
  dpkg -i cdssoft-release-bookworm.deb &&\
  apt-get update

# build toolchain
RUN \
  apt-get -y install \
    build-essential dpkg-dev devscripts equivs \
    git-buildpackage

# clean up APT indices
RUN \
  find /var/lib/apt/lists/ -type f -exec rm -v {} \;

# reset pinning priorities
#RUN \
#  sed 's/^Pin-Priority.*/Pin-Priority: 990/g' \
#    /etc/apt/preferences.d/cdssoft-pinning  > \
#    /etc/apt/preferences.d/cdssoft-pinning.new && \
#  mv /etc/apt/preferences.d/cdssoft-pinning.new \
#    /etc/apt/preferences.d/cdssoft-pinning

WORKDIR /build

